Skip to main content

Get order book report

GET 

/report/{market}/book

Returns the list of up to 1000 bids and asks for the specified market, sorted by price. Includes the data compliant with the European Markets in Crypto-Assets (MiCA) regulation.

info

This is a public endpoint. However, authenticating your request gives you a higher rate limit.

Rate limit weight points: 1

Request

Path Parameters

    market stringrequired

    The market for which to return the order book.

    Example: BTC-EUR

Query Parameters

    depth integer

    Possible values: <= 1000

    The number of bids and asks to return.

    Default value: 1000

Responses

The request was successful.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
    submissionTimestampstring<date-time>

    The timestamp when the order book is submitted to the database.

    Example: 2025-05-02T14:23:11.123456Z
    assetCodestring

    The DTI code or a symbol of the asset.

    Example: 4K6P57CMJ
    assetNamestring

    The full name of the asset.

    Example: Bitcoin
    bids object[]

    The list of buy orders for the specified market and depth. Each bid includes:

  • Array [
  • sidestring

    Indicates if the order is to buy or sell.

    Possible values: [BUYI]

    pricestring<decimal>

    The amount of quote currency for 1 unit of the base currency.

    Example: 28500.1234567890123
    quantitystring<decimal>

    The quantity of the asset.

    Example: 0.00123456789012345
    numOrdersinteger

    The number of individual orders at this price level.

    Example: 38
  • ]
  • asks object[]

    The list of sell orders for the specified market and depth. Each ask includes:

  • Array [
  • sidestring

    Indicates if the order is to buy or sell.

    Possible values: [SELL]

    pricestring<decimal>

    The amount of quote currency for 1 unit of the base currency.

    Example: 28500.1234567890123
    quantitystring<decimal>

    The quantity of the asset.

    Example: 0.00123456789012345
    numOrdersinteger

    The number of individual orders at this price level.

    Example: 38
  • ]
  • priceCurrencystring

    The DTI code or a symbol of the currency in which the price is expressed.

    Example: 4K6P57CMJ
    priceNotationstring

    The price expressed as a monetary value.

    Possible values: [MONE]

    Example: MONE
    quantityCurrencystring

    The currency in which the quantity of the crypto asset is expressed.

    Example: EUR
    quantityNotationstring

    The quantity of the crypto asset.

    Possible values: [CRYP]

    Example: CRYP
    venuestring

    The Market Identifier Code of the Bitvavo trading platform.

    Example: VAVO
    tradingSystemstring

    The trading system identifier of the Bitvavo trading platform.

    Example: VAVO
    publicationTimestampstring<date-time>

    The timestamp when the book snapshot is added to the database.

    Example: 2025-05-02T14:23:11.123456Z